from jeb.api import IScript

class ClassList(IScript):

    def run(self, jeb):
        dex = jeb.getDex()
        self.list1(dex)
        print "----"
        self.list2(dex)

    def list1(self, dex):
        for i in range(0, dex.getClassCount()):
            cls = dex.getClass(i)
            str = "%s < %s" % (
                    dex.getType(cls.getClasstypeIndex()), 
                    dex.getType(cls.getSuperclassIndex())
                    )
            print str

    
    def list2(self, dex):
        for cls_sig in dex.getClassSignatures(False):
            cls = dex.getClass(cls_sig)
            str = "%s < %s" % (
                    cls_sig,
                    dex.getType(cls.getSuperclassIndex())
                    )
            print str
